API ReferenceGenerated Reference
Query an existing x402 credit payment
Read the durable payment status for the authenticated recipient account. Only credited confirms balance delivery. Pending or review_required is not an instruction to pay again.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*integer
Format
int64Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.xenodia.xyz/v1/payments/x402/1"{
"payment_id": 0,
"status": "awaiting_settlement",
"amount_micro": 0,
"network": "string",
"transaction_hash": "string",
"created_at": "2019-08-24T14:15:22Z",
"credited_at": "2019-08-24T14:15:22Z"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}